# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_SurfaceStyleSegmentationCurve Class Reference

`#include <StepVisual_SurfaceStyleSegmentationCurve.hxx>`

## Public Member Functions

Standard_EXPORT | StepVisual_SurfaceStyleSegmentationCurve ()
| Returns a SurfaceStyleSegmentationCurve .
virtual Standard_EXPORT void | Init (const Handle(StepVisual_CurveStyle)&aStyleOfSegmentationCurve)
Standard_EXPORT void | SetStyleOfSegmentationCurve (const Handle(StepVisual_CurveStyle)&aStyleOfSegmentationCurve)
Standard_EXPORT Handle_StepVisual_CurveStyle | StyleOfSegmentationCurve () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepVisual_CurveStyle | styleOfSegmentationCurve

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_SurfaceStyleSegmentationCurve::StepVisual_SurfaceStyleSegmentationCurve | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepVisual_SurfaceStyleSegmentationCurve::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepVisual_SurfaceStyleSegmentationCurve::Init | ( | const Handle(StepVisual_CurveStyle)& | aStyleOfSegmentationCurve | ) | `[virtual]`

Standard_EXPORT void StepVisual_SurfaceStyleSegmentationCurve::SetStyleOfSegmentationCurve | ( | const Handle(StepVisual_CurveStyle)& | aStyleOfSegmentationCurve | ) |

Standard_EXPORT Handle_StepVisual_CurveStyle StepVisual_SurfaceStyleSegmentationCurve::StyleOfSegmentationCurve | ( |  | ) | const

## Field Documentation

Handle_StepVisual_CurveStyle StepVisual_SurfaceStyleSegmentationCurve::styleOfSegmentationCurve `[private]`

The documentation for this class was generated from the following file:

- StepVisual_SurfaceStyleSegmentationCurve.hxx